- @page_title = t('.sign_up')

._devise-form
  = form_for(resource, as: resource_name, url: registration_path(resource_name)) do |f|
    = render 'devise/shared/error_messages', resource: resource

    .rui-field
      = f.label :username
      = f.text_field :username, autofocus: true, required: true

    .rui-field
      = f.label :email
      = f.email_field :email, autofocus: true, autocomplete: 'email', required: true

    .rui-field
      = f.label :password
      = f.password_field :password, autocomplete: 'new-password', required: true
      - if @minimum_password_length
        .rui-field__help= t('devise.shared.minimum_password_length', count: @minimum_password_length)

    .rui-field
      = f.label :password_confirmation
      = f.password_field :password_confirmation, autocomplete: 'new-password', required: true

    .rui-actions.rui-actions--bottom
      = f.submit t('.sign_up'), class: 'rui-button rui-button--creative'

  %div
    = render 'devise/shared/links'
